# $Revision: 1.33 $, $Date: 2009/12/29 18:45:16 $
Summary:	X.org video driver for VMware virtual video cards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla wirtualnych kart graficznych VMware
Name:		xorg-driver-video-vmware
Version:	10.16.9
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vmware-%{version}.tar.bz2
# Source0-md5:	3b3d38abfa1f8be4b1e26dcd236bc94f
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-vmware < 1:7.0.0
Obsoletes:	XFree86-driver-vmware < 1:7.0.0
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for VMware virtual video cards. It auto-detects the
version of any virtual VMware SVGA adapter.

%description -l pl.UTF-8
Sterownik obrazu X.org dla wirtualnych kart graficznych VMware.
Wykrywa automatycznie wersję dowolnej wirtualnej karty SVGA VMware.

%prep
%setup -q -n xf86-video-vmware-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/vmware_drv.so
%{_mandir}/man4/vmware.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-vmware.spec,v $
Revision 1.33  2009/12/29 18:45:16  arekm
- up to 10.16.9; segfault fix with xserver 1.7

Revision 1.32  2009/10/02 08:29:39  arekm
- release 2

Revision 1.31  2009/09/20 06:24:55  arekm
- up to 10.16.8

Revision 1.30  2009/08/20 05:59:05  amateja
- updated to 10.16.7

Revision 1.29  2009/06/15 12:07:53  amateja
- updated to 10.16.6

Revision 1.28  2009/02/25 21:10:39  arekm
- release 3

Revision 1.27  2008/10/06 01:39:43  shadzik
- rel 2

Revision 1.26  2008/08/30 17:50:34  arekm
- up to 10.16.5

Revision 1.25  2008/08/30 16:35:04  arekm
- release 2

Revision 1.24  2008/08/26 06:04:10  qboosh
- updated to 10.16.4

Revision 1.23  2008/07/18 21:20:14  arekm
- up to 10.16.3

Revision 1.22  2008/07/01 16:13:13  arekm
- release 2

Revision 1.21  2008-06-12 21:48:22  arekm
- up to 10.16.2

Revision 1.20  2008-05-10 08:55:39  qboosh
- updated to 10.16.1

Revision 1.19  2008-03-19 21:19:10  arekm
- up to 10.16.0

Revision 1.18  2007/10/03 17:28:04  arekm
- up to 10.15.2

Revision 1.17  2007/09/11 17:05:24  qboosh
- updated to 10.15.1

Revision 1.16  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.15  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.14  2007/06/12 06:32:44  arekm
- rel 2

Revision 1.13  2007/04/30 20:08:53  qboosh
- missing md5 update

Revision 1.12  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.11  2007/02/13 07:35:48  arekm
- up to 10.15.0; vmware supports 64bit guests afaik

Revision 1.10  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.8  2006/12/07 21:20:37  arekm
- up to 10.14.1

Revision 1.7  2006/11/02 12:54:21  qboosh
- updated to 10.14.0

Revision 1.6  2006/04/11 14:00:20  qboosh
- updated to 10.13.0

Revision 1.5  2006/01/10 11:35:14  qboosh
- 10.11.1.3 (X11R7.0 release)

Revision 1.4  2005/12/08 15:30:40  qboosh
- 10.11.1.1 (X11R7.0-RC3)

Revision 1.3  2005/11/20 17:02:29  qboosh
- 10.11.1 (X11R7.0-RC2)

Revision 1.2  2005/10/31 01:12:11  qboosh
- useful on x86 only (where VMware exists) - EA added

Revision 1.1  2005/10/31 01:10:47  qboosh
- new
